RC5 Class Reference

RC5 More...

`#include <rc5.h>`

Inheritance diagram for RC5:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
typedef BlockCipherFinal< DECRYPTION, Dec > | Decryption
typedef word32 | RC5_WORD

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t n)
static unsigned int | StaticGetDefaultRounds (size_t keylength)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | KEYLENGTH_MULTIPLE
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | DEFAULT_ROUNDS
static const int | MIN_ROUNDS
static const int | MAX_ROUNDS

## Protected Member Functions

void | ThrowIfInvalidRounds (int rounds, const Algorithm *alg)
unsigned int | GetRoundsAndThrowIfInvalid (const NameValuePairs &param, const Algorithm *alg)

## Detailed Description

RC5

Definition at line 20 of file rc5.h.

The documentation for this class was generated from the following file:

- rc5.h